aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest/cmdlineTests.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/test/cmdlineTests.sh b/test/cmdlineTests.sh
index 20254ef4..a8261693 100755
--- a/test/cmdlineTests.sh
+++ b/test/cmdlineTests.sh
@@ -292,6 +292,14 @@ SOLTMPDIR=$(mktemp -d)
if [[ "$result" != 0 ]] ; then
exit 1
fi
+
+ # This should not fail
+ set +e
+ output=$(echo '' | "$SOLC" --ast - 2>/dev/null)
+ set -e
+ if [[ $? != 0 ]] ; then
+ exit 1
+ fi
)
printTask "Testing soljson via the fuzzer..."